* Max pulldown (output disabled) curve for model iobuff
*
* Spice deck created by s2ibis v 1.1
* North Carolina State University
*
.SUBCKT IO_OUT  OUT  DATA  ENA VDD VSS
M1    1    ENA  VDD    VDD    pm    L =  5U     W = 120.00U     
M2    1    ENA  VSS    VSS    nm    L =  5U     W = 50.00U     
M3    3   1   2    VDD    pm    L =  5U     W = 100.00U
M4    2    DATA   VDD   VDD    pm    L =  5U     W = 100.00U
M5    3   1   VSS    VSS    nm    L =  5U     W = 50.00U
M6    3    DATA   VSS   VSS    nm    L =  5U     W = 50.00U
M7    5   DATA   VDD   VDD    pm    L =  5U     W = 100.00U
M8    5   ENA   VDD   VDD    pm    L =  5U     W = 100.00U
M9    5   DATA   4    VSS    nm    L =  5U     W = 50.00U
M10    4    ENA   VSS   VSS    nm    L =  5U     W = 50.00U
M11    OUT1    5  VDD    VDD    pm    L =  5U     W = 360.00U     
M12    OUT1    3  VSS    VSS    nm    L =  5U     W = 360.00U     
M13    OUT    OUT1  VDD    VDD    pm    L =  5U     W = 1080.00U     
M14    OUT    OUT1  VSS    VSS    nm    L =  5U     W = 1080.00U     
.ENDS IO_OUT
.SUBCKT IO_IN  OUT  IN VDD VSS
D1   IN  VDD  D
D2   VSS IN  D
R1   IN  1    10
M1    OUT    1  VDD    VDD    pm    L =  5U     W = 120.00U     
M2    OUT    1  VSS    VSS    nm    L =  5U     W = 50.00U 
.ENDS IO_IN
.SUBCKT IO_TEST_LOAD LOAD
R1 LOAD 1 50
V1 1 0 1.8
C1 LOAD 0 10p
.ENDS
simulator lang = spectre
model pm mos0 type=p
model nm mos0 type=n
model d  diode
simulator lang = spice
.INCLUDE X_iobuff.sp
.INCLUDE confMax_iobuff.sp
simulator lang=spectre
VOUTS2I pad 0 vsource type=dc dc=0
VCCS2I vdd 0 vsource type=dc dc=5.5
VGNDS2I vss 0 vsource type=dc dc=0
VENAS2I ena 0 vsource type=dc dc=0
VINS2I input 0 vsource type=dc dc=5.5
setTemp options temp=0
saveOptions options save=selected
DCsweep dc dev=VOUTS2I param=dc start=-5 stop=10 step=0.1 save=selected
save VOUTS2I:currents
